Last Comment Bug 594687 - [SeaMonkey 2.1, mochitest-browser-chrome] TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_346337.js and browser_466937.js
: [SeaMonkey 2.1, mochitest-browser-chrome] TEST-UNEXPECTED-FAIL | chrome://moc...
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Bruno 'Aqualon' Escherl
:
Mentors:
Depends on:
Blocks: SmTestFail 583863
  Show dependency treegraph
 
Reported: 2010-09-09 00:38 PDT by Bruno 'Aqualon' Escherl
Modified: 2010-09-10 03:46 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
update tests for refactored input implementation (3.82 KB, patch)
2010-09-09 03:23 PDT, Bruno 'Aqualon' Escherl
neil: review+
Details | Diff | Review
updated tests without the calls to createUnique (3.59 KB, patch)
2010-09-09 05:23 PDT, Bruno 'Aqualon' Escherl
bugzilla: review+
Details | Diff | Review

Description Bruno 'Aqualon' Escherl 2010-09-09 00:38:00 PDT
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_346337.js | The value for "//input[@type='file'][1]" was correctly restored
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_346337.js | The value for "//input[@type='file'][2]" was correctly restored

Seems only to occur on Windows: http://brasstacks.mozilla.com/topfails/test/SeaMonkey?name=chrome://mochikit/content/browser/suite/common/tests/browser/browser_346337.js
Comment 1 Bruno 'Aqualon' Escherl 2010-09-09 00:43:46 PDT
We're missing the test changes from http://hg.mozilla.org/mozilla-central/rev/8d846fde08cb (bug 583863)
Comment 2 Bruno 'Aqualon' Escherl 2010-09-09 03:23:51 PDT
Created attachment 473468 [details] [diff] [review]
update tests for refactored input implementation

This are the test changes from bug 583863. The test passes for Linux with and without the patch, so I couldn't test it myself.
Comment 3 Bruno 'Aqualon' Escherl 2010-09-09 03:28:09 PDT
TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_466937.js | normal case: file path was correctly preserved - Got , expected /home/user/regular.file

The patch should also fix that test fail.
Comment 4 neil@parkwaycc.co.uk 2010-09-09 04:08:02 PDT
Comment on attachment 473468 [details] [diff] [review]
update tests for refactored input implementation

Probably the paths previously used weren't valid on Windows, but it didn't matter because nobody validated them before.
Comment 5 neil@parkwaycc.co.uk 2010-09-09 05:09:41 PDT
Comment on attachment 473468 [details] [diff] [review]
update tests for refactored input implementation

On second thoughts, r=me if you remove all the calls to createUnique.
Comment 6 Bruno 'Aqualon' Escherl 2010-09-09 05:15:50 PDT
Ok, updating the patch (removing checkin-needed until I have an updated patch)
Comment 7 Bruno 'Aqualon' Escherl 2010-09-09 05:23:45 PDT
Created attachment 473485 [details] [diff] [review]
updated tests without the calls to createUnique

(In reply to comment #5)
> Comment on attachment 473468 [details] [diff] [review]
> update tests for refactored input implementation
> 
> On second thoughts, r=me if you remove all the calls to createUnique.
Taking over r+
Comment 8 Serge Gautherie (:sgautherie) 2010-09-09 05:58:27 PDT
Comment on attachment 473485 [details] [diff] [review]
updated tests without the calls to createUnique

Could we use ProfD instead of TmpD, fwiw?
Comment 9 Bruno 'Aqualon' Escherl 2010-09-09 06:50:44 PDT
Does it make any difference?
Comment 10 Justin Wood (:Callek) 2010-09-09 20:54:37 PDT
For future:
http://blog.bonardo.net/2010/06/22/so-youre-about-to-use-checkin-needed

Which you do a decent job of, only comment is (especially if you are already doing a final upload) is specify bug # and specify who reviewed.

That said, pushed as: http://hg.mozilla.org/comm-central/rev/3747f1d60f0a
Comment 11 Serge Gautherie (:sgautherie) 2010-09-10 03:46:04 PDT
(In reply to comment #9)
> Does it make any difference?

It helps to keep TmpD clean, and to put all test files in the same place.

*****

V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1284108915.1284114436.22079.gz
WINNT 5.2 comm-central-trunk debug test mochitest-other on 2010/09/10 01:55:15

Note You need to log in before you can comment on or make changes to this bug.